import { CreatePatientFormValues } from "@/components/forms/patients/new/CreatePatientForm";
import privateApi from "../http/privateCall.axios";

export async function getSinglePatient(id: string) {
  return await privateApi
    .get(`/patient/get/single/${id}`)
    .then((res) => res.data);
}

export async function updatePatient(id: string, data: CreatePatientFormValues) {
  return await privateApi
    .put(`/patient/update/${id}`, data)
    .then((res) => res.data);
}
